# SetConfigMode

This method commands the **ConfigModule** to set a new active config mode.

{% hint style="info" %}
See [ConfigMode documentation](/edge/nexus-modules/platform-modules/configmodule/config-modes.md) for details.
{% endhint %}

**Method Name:**\
SetConfigMode

**Payload:**

```
{
    "modeName": "<new mode name>"
}
```

**Returns:**

```
{
    "oldConfigMode": "<previous config mode>",
    "newConfigMode": "<active config mode>"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tricloudnexus.io/edge/nexus-modules/platform-modules/configmodule/direct-commands/setconfigmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
